<?php

declare(strict_types=1);

namespace PpPhp\Core\Designer\Layouts\Layouts;

use PpPhp\Core\Designer\DesignerComponent as C;
use PpPhp\Core\Designer\Layouts\DesignerLayoutInterface;

class SingleColumnLayout implements DesignerLayoutInterface
{
    public static function id(): string
    {
        return 'single_column';
    }

    public static function name(): string
    {
        return 'Single Column';
    }

    public static function description(): string
    {
        return 'One full-width content area.';
    }

    public static function icon(): string
    {
        return 'layout-text-window';
    }

    public static function category(): string
    {
        return 'Basic';
    }

    public static function columns(): int
    {
        return 1;
    }

    public static function components(): array
    {
        return [
            C::make('single_column_row', 'row', 'Single Column Row', [
                'columns' => 1,
                'cells' => [
                    [
                        'id' => 'single_column_cell',
                        'span' => 12,
                        'components' => [],
                        'style' => C::style(),
                    ],
                ],
            ]),
        ];
    }
}
